### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu-mega/ecl-menu-mega.component.ts`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-menu-mega`
templateUrl | `./ecl-menu-mega.component.html`

### Index

###### Properties
eclMenuMegaItems
###### Methods
onMenuMegaToggleClick
###### Inputs
isExpanded isRtl styleClass
###### Outputs
menuItemSelect
###### HostBindings
class

### Constructor

`constructor(differs: IterableDiffers)`
Parameters :
Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

isExpanded
Type : `boolean`
Default value : `false`

isRtl
Type : `boolean`
Default value : `false`

styleClass
Type : `string`

### Outputs

menuItemSelect
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onMenuMegaToggleClick
`onMenuMegaToggleClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

eclMenuMegaItems
Type : `QueryList<EclMenuMegaItemComponent>`
Decorators : `@ContentChildren(EclMenuMegaItemComponent)`

# result-matching ""

# No results matching ""